Subject: Re: Cntr-C Problem with Bash
From: [email-masked] ("Valery Fine")

7 Feb 1997 00:44:20 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Comments: Authenticated sender is <[email-masked]>
Original-To: Eric L Andry <[email-masked]>
Original-CC: [email-masked]
X-mailer: Pegasus Mail for Windows (v2.23)
Original-Sender: [email-masked]

On  6 Feb 97 at 12:00, Eric L Andry wrote:

> I'm using Bash under Win95.  When I'm compiling something or if I have a
> program that goes into an infinite loop, I'll try to issue a Ctrl-C to break
> it but I find myself crashing bash inadvertanly.  I get the usual Win95
> crash message about the program causing illegal operations and stuff.  It
> says the problem is in CYGWIN.DLL.  Any suggestions on how I can fix this
> problem?
> 

  MS SDK tells:

"
Sets interrupt signal handling.
void ( *signal( int sig, void (__cdecl *func) ( int sig [, int subcode
] )) ) ( int sig );

   . . .

Remarks

   . . .

Note  SIGINT is not supported for any Win32 application including
Windows NT and Windows 95. When a CTRL+C interrupt occurs, Win32
operating systems generate a new thread to specifically handle that
interrupt. This can cause a single-thread application such as UNIX, to
become multithreaded, resulting in unexpected behavior. 
.... "

  I wonder whether GNU-WIN32 has taken this featute in account and 
found a solution.
           Valery
=================================================================
Dr. Valery Fine                  Telex : 911621 dubna su
    -----------
LCTA/Joint Inst.for NuclearRes   Phone : +7 09621 6 40 80
141980 Dubna, Moscow region      Fax   : +7 09621 6 51 45
Russia                           mailto:[email-masked]
                                 mailto:[email-masked]
Dr. Valeri Faine
    ------------                 Phone: +41 22 767 6468
CERN                             FAX  : +41 22 782 2601
CH-1211 Geneva, 23               mailto:[email-masked] 
Switzerland                      http://nicewww.cern.ch/~fine
                                 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".